local modname = core.get_current_modname()
local S = core.get_translator(modname)
local scale = mcl_ruby_stuff.scale

mcl_armor.register_set({
	name = "ruby",
	descriptions = {
		head = S("Ruby Helmet"),
		torso = S("Ruby Chestplate"),
		legs = S("Ruby Leggings"),
		feet = S("Ruby Boots"),
	},
	durability = 560 * scale,
	enchantability = 10,
	points = {
		head = 3,
		torso = 8,
		legs = 6,
		feet = 3,
	},
	toughness = 3,
	craft_material = modname .. ":ruby",
	sound_equip = "mcl_armor_equip_diamond",
	sound_unequip = "mcl_armor_unequip_diamond",
	_mcl_upgradable = true,
	_mcl_upgrade_item_material = "_netherite",
})

core.register_craftitem("mcl_ruby_stuff:ruby_horse_armor", {
	description = S("Ruby Horse Armor"),
	_doc_items_longdesc = S("Ruby horse armor can be worn by horses to greatly increase their protection from harm."),
	_doc_items_usagehelp = S("Place it on a horse to put on the horse armor. Donkeys and mules can't wear horse armor."),
	inventory_image = "mcl_ruby_stuff_ruby_horse_armor.png",
	_horse_overlay_image = "mcl_ruby_stuff_horse_armor_ruby.png",
	sounds = {
		_mcl_armor_equip = "mcl_armor_equip_ruby",
	},
	stack_max = 1,
	groups = { horse_armor = 48 },
})
